
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.entity.BenutzerMeta;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.BenutzerExportDescription;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.BenutzerExportSearchView;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.exchange.menu.AbstractImportExportMenuItemEntry;

public class BenutzerExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private BenutzerMeta benutzerMeta;

  @Inject
  private BenutzerExportDescription benutzerExportDescription;

  public BenutzerExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return benutzerExportDescription;
  }

  @Override
  protected Meta getMeta() {
    return benutzerMeta;
  }
}
